# Spec SimpleIntervalsFileIn
FormattedFile for reading .intervals files.

Extends | FormattedFileIn
All Extended | FormattedFile, FormattedFileIn
Defined in | <seqan/ucsc_io.h>
Signature | `typedef FormattedFile<SimpleIntervals, Input> SimpleIntervalsFileIn;`

## Member Function Overview

### Member Functions Inherited From FormattedFile

- `getFileExtensions`
- `operatorTDependentContext`

## Interface Function Overview

- `void readRecord(record, file);`
  Reading records from a SimpleIntervalsFileIn.
- `void readRecord(record, file);`
  Writing records to a SimpleIntervalsFileIn.

### Interface Functions Inherited From FormattedFile

- `atEnd`
- `close`
- `context`
- `format`
- `FormattedFile`
- `getFileExtensions`
- `guessFormat`
- `open`
- `setFormat`

### Interface Functions Inherited From FormattedFileIn

- `readHeader`
- `readRecord`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From FormattedFile

- `FileFormat`
- `FormattedFileContext`

## Interface Functions Detail

### `void readRecord(record, file);`

Reading records from a SimpleIntervalsFileIn.

#### Parameters

`record` | The resulting GenomicRegion.
`file` | The SimpleIntervalsFileIn to read from.

#### Thrown Exceptions

`IOError` | in case of problems.

#### Data Races

Thread safety unknown!

### `void readRecord(record, file);`

Writing records to a SimpleIntervalsFileIn.

#### Parameters

`file` | The SimpleIntervalsFileIn to write to.
`record` | The GenomicRegion to write out.

#### Thrown Exceptions

`IOError` | in case of problems.

#### Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @class SimpleIntervalsFileIn
     *
     * @extends FormattedFileIn
     *
     * @headerfile <seqan/ucsc_io.h>
     *
     * @brief @link FormattedFile @endlink for reading .intervals files.
     *
     * @signature typedef FormattedFile<SimpleIntervals, Input>
     *            SimpleIntervalsFileIn;
     *
     * @fn SimpleIntervalsFileIn#readRecord
     *
     * @brief Reading records from a SimpleIntervalsFileIn.
     *
     * @signature void readRecord(record, file);
     *
     * @param[out] record The resulting @link GenomicRegion @endlink.
     * @param[out] file The SimpleIntervalsFileIn to read from.
     *
     * @throw IOError in case of problems.
     *
     * @fn SimpleIntervalsFileIn#writeRecord
     *
     * @brief Writing records to a SimpleIntervalsFileIn.
     *
     * @signature void readRecord(record, file);
     *
     * @param[out] file The SimpleIntervalsFileIn to write to.
     * @param[out] record The @link GenomicRegion @endlink to write out.
     *
     * @throw IOError in case of problems.
     */